Core endpoints
Get Mesh transfers
Get cryptocurrency transfers initiated by Mesh on exchanges or self-custody wallets.
GET
/
api
/
v1
/
transfers
/
managed
/
mesh
Get Mesh transfers
curl --request GET \
--url https://integration-api.meshconnect.com/api/v1/transfers/managed/mesh \
--header 'X-Client-Id: <api-key>' \
--header 'X-Client-Secret: <api-key>'import requests
url = "https://integration-api.meshconnect.com/api/v1/transfers/managed/mesh"
headers = {
"X-Client-Secret": "<api-key>",
"X-Client-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Client-Secret': '<api-key>', 'X-Client-Id': '<api-key>'}
};
fetch('https://integration-api.meshconnect.com/api/v1/transfers/managed/mesh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integration-api.meshconnect.com/api/v1/transfers/managed/mesh",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Client-Id: <api-key>",
"X-Client-Secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://integration-api.meshconnect.com/api/v1/transfers/managed/mesh"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Secret", "<api-key>")
req.Header.Add("X-Client-Id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://integration-api.meshconnect.com/api/v1/transfers/managed/mesh")
.header("X-Client-Secret", "<api-key>")
.header("X-Client-Id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://integration-api.meshconnect.com/api/v1/transfers/managed/mesh")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Client-Secret"] = '<api-key>'
request["X-Client-Id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"content": {
"items": [
{
"amountToReceive": 0,
"networkId": "00000000-0000-0000-0000-000000000000",
"networkLogoUrl": "https://file-cdn.meshconnect.com/public/logos/networks/Polygon.svg",
"from": {
"logoUrl": "https://logo.com/logo.jpg",
"id": "8e25acb5-a9e2-4d00-8772-a255f010a2a9",
"type": "robinhood",
"name": "Robinhood"
},
"totalFeesAmountInFiat": 0.5,
"totalTransactionAmountInFiat": 1000.5,
"fundingMethods": [
{
"type": "cryptocurrencyConversion",
"amount": 2,
"amountInFiat": 20,
"toSymbol": "WETH",
"fromAmount": 1,
"fromSymbol": "BTC",
"fee": {
"fee": 0.0001,
"feeCurrency": "ETH",
"feeInFiat": 0.1,
"feeInTransferCurrency": 0
}
},
{
"type": "paymentMethodDepositUsage",
"amount": 3,
"amountInFiat": 30,
"toSymbol": "WETH",
"fromAmount": 1,
"fromSymbol": "USD",
"paymentMethodType": "bankAccount",
"fee": {
"fee": 0.0001,
"feeCurrency": "USD",
"feeInFiat": 0.1,
"feeInTransferCurrency": 0
}
},
{
"type": "existingCryptocurrencyBalance",
"amount": 5,
"amountInFiat": 50,
"toSymbol": "WETH",
"fromAmount": 5,
"fromSymbol": "ETH"
}
],
"webhookLogs": [],
"id": "8e25acb5-a9e2-4d00-8772-a255f010a2a9",
"clientTransactionId": "123456",
"institutionTransactionId": "456789",
"status": "succeeded",
"amountInFiat": 1000.3,
"amountToReceiveInFiat": 0,
"amountInFiatCurrencyCode": "USD",
"amount": 10.123,
"symbol": "WETH",
"tokenAddress": "0x7ceB23fD6bC0adD59E62ac25578270cFf1b9f619",
"networkName": "Polygon",
"createdTimestamp": 1653211113,
"hash": "0x77f3a280aa5cfe956a5759c24cf774325504070b32b4159...",
"gasFee": {
"fee": 0.0001,
"feeCurrency": "MATIC",
"feeInFiat": 0.1,
"feeInTransferCurrency": 0
},
"withdrawalFee": {
"fee": 0.0001,
"feeCurrency": "WETH",
"feeInFiat": 0.1,
"feeInTransferCurrency": 0
},
"processingFee": {
"fee": 0.0001,
"feeCurrency": "WETH",
"feeInFiat": 0.1,
"feeInTransferCurrency": 0
},
"executedTimestamp": 1707462614,
"transferType": "payment",
"isFeeIncluded": false,
"infoUrl": "https://polygonscan.com/tx/0x5b0ac59e43b63f2985d78994b6270d747f1019777201ca18ebb36ad1e1a8693e",
"isSmartFundingTransfer": false,
"unitPrice": 0,
"requestedTransferAmount": 0,
"isBridgingTransfer": false,
"userId": "123456798",
"sourceAmount": 10.122,
"destinationAmount": 10
},
{
"amountToReceive": 0,
"networkId": "00000000-0000-0000-0000-000000000000",
"from": {
"logoUrl": "https://logo.com/logo.jpg",
"id": "8e25acb5-a9e2-4d00-8772-a255f010a2a9",
"type": "deFiWallet",
"name": "MetaMask"
},
"totalFeesAmountInFiat": 0,
"totalTransactionAmountInFiat": 10.3,
"fundingMethods": [],
"webhookLogs": [],
"id": "12345678-a9e2-4d00-8772-a255f010a2a9",
"clientTransactionId": "123456",
"institutionTransactionId": "456789",
"status": "failed",
"amountInFiat": 10.3,
"amountToReceiveInFiat": 0,
"amountInFiatCurrencyCode": "USD",
"amount": 0.123,
"symbol": "WETH",
"tokenAddress": "0x7ceB23fD6bC0adD59E62ac25578270cFf1b9f619",
"networkName": "Polygon",
"createdTimestamp": 1653211113,
"hash": "0x77f3a280aa5cfe956a5759c24cf774325504070b32b4159...",
"isFeeIncluded": false,
"isSmartFundingTransfer": false,
"unitPrice": 0,
"requestedTransferAmount": 0,
"isBridgingTransfer": false,
"userId": "123456798"
}
],
"total": 10,
"range": {
"start": 0,
"end": -1,
"isValid": false,
"count": 0
},
"hasMorePages": true
},
"status": "ok",
"message": "",
"errorHash": "bf6d53f3",
"teamCode": "P4",
"errorType": ""
}{
"status": "badRequest",
"message": "Error message",
"displayMessage": "Optional display message",
"errorHash": "7dcbb73d",
"teamCode": "P4",
"errorType": "missingField"
}Authorizations
Query Parameters
Response
Transfers obtained.
Was this page helpful?
⌘I
Get Mesh transfers
curl --request GET \
--url https://integration-api.meshconnect.com/api/v1/transfers/managed/mesh \
--header 'X-Client-Id: <api-key>' \
--header 'X-Client-Secret: <api-key>'import requests
url = "https://integration-api.meshconnect.com/api/v1/transfers/managed/mesh"
headers = {
"X-Client-Secret": "<api-key>",
"X-Client-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Client-Secret': '<api-key>', 'X-Client-Id': '<api-key>'}
};
fetch('https://integration-api.meshconnect.com/api/v1/transfers/managed/mesh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integration-api.meshconnect.com/api/v1/transfers/managed/mesh",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Client-Id: <api-key>",
"X-Client-Secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://integration-api.meshconnect.com/api/v1/transfers/managed/mesh"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Secret", "<api-key>")
req.Header.Add("X-Client-Id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://integration-api.meshconnect.com/api/v1/transfers/managed/mesh")
.header("X-Client-Secret", "<api-key>")
.header("X-Client-Id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://integration-api.meshconnect.com/api/v1/transfers/managed/mesh")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Client-Secret"] = '<api-key>'
request["X-Client-Id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"content": {
"items": [
{
"amountToReceive": 0,
"networkId": "00000000-0000-0000-0000-000000000000",
"networkLogoUrl": "https://file-cdn.meshconnect.com/public/logos/networks/Polygon.svg",
"from": {
"logoUrl": "https://logo.com/logo.jpg",
"id": "8e25acb5-a9e2-4d00-8772-a255f010a2a9",
"type": "robinhood",
"name": "Robinhood"
},
"totalFeesAmountInFiat": 0.5,
"totalTransactionAmountInFiat": 1000.5,
"fundingMethods": [
{
"type": "cryptocurrencyConversion",
"amount": 2,
"amountInFiat": 20,
"toSymbol": "WETH",
"fromAmount": 1,
"fromSymbol": "BTC",
"fee": {
"fee": 0.0001,
"feeCurrency": "ETH",
"feeInFiat": 0.1,
"feeInTransferCurrency": 0
}
},
{
"type": "paymentMethodDepositUsage",
"amount": 3,
"amountInFiat": 30,
"toSymbol": "WETH",
"fromAmount": 1,
"fromSymbol": "USD",
"paymentMethodType": "bankAccount",
"fee": {
"fee": 0.0001,
"feeCurrency": "USD",
"feeInFiat": 0.1,
"feeInTransferCurrency": 0
}
},
{
"type": "existingCryptocurrencyBalance",
"amount": 5,
"amountInFiat": 50,
"toSymbol": "WETH",
"fromAmount": 5,
"fromSymbol": "ETH"
}
],
"webhookLogs": [],
"id": "8e25acb5-a9e2-4d00-8772-a255f010a2a9",
"clientTransactionId": "123456",
"institutionTransactionId": "456789",
"status": "succeeded",
"amountInFiat": 1000.3,
"amountToReceiveInFiat": 0,
"amountInFiatCurrencyCode": "USD",
"amount": 10.123,
"symbol": "WETH",
"tokenAddress": "0x7ceB23fD6bC0adD59E62ac25578270cFf1b9f619",
"networkName": "Polygon",
"createdTimestamp": 1653211113,
"hash": "0x77f3a280aa5cfe956a5759c24cf774325504070b32b4159...",
"gasFee": {
"fee": 0.0001,
"feeCurrency": "MATIC",
"feeInFiat": 0.1,
"feeInTransferCurrency": 0
},
"withdrawalFee": {
"fee": 0.0001,
"feeCurrency": "WETH",
"feeInFiat": 0.1,
"feeInTransferCurrency": 0
},
"processingFee": {
"fee": 0.0001,
"feeCurrency": "WETH",
"feeInFiat": 0.1,
"feeInTransferCurrency": 0
},
"executedTimestamp": 1707462614,
"transferType": "payment",
"isFeeIncluded": false,
"infoUrl": "https://polygonscan.com/tx/0x5b0ac59e43b63f2985d78994b6270d747f1019777201ca18ebb36ad1e1a8693e",
"isSmartFundingTransfer": false,
"unitPrice": 0,
"requestedTransferAmount": 0,
"isBridgingTransfer": false,
"userId": "123456798",
"sourceAmount": 10.122,
"destinationAmount": 10
},
{
"amountToReceive": 0,
"networkId": "00000000-0000-0000-0000-000000000000",
"from": {
"logoUrl": "https://logo.com/logo.jpg",
"id": "8e25acb5-a9e2-4d00-8772-a255f010a2a9",
"type": "deFiWallet",
"name": "MetaMask"
},
"totalFeesAmountInFiat": 0,
"totalTransactionAmountInFiat": 10.3,
"fundingMethods": [],
"webhookLogs": [],
"id": "12345678-a9e2-4d00-8772-a255f010a2a9",
"clientTransactionId": "123456",
"institutionTransactionId": "456789",
"status": "failed",
"amountInFiat": 10.3,
"amountToReceiveInFiat": 0,
"amountInFiatCurrencyCode": "USD",
"amount": 0.123,
"symbol": "WETH",
"tokenAddress": "0x7ceB23fD6bC0adD59E62ac25578270cFf1b9f619",
"networkName": "Polygon",
"createdTimestamp": 1653211113,
"hash": "0x77f3a280aa5cfe956a5759c24cf774325504070b32b4159...",
"isFeeIncluded": false,
"isSmartFundingTransfer": false,
"unitPrice": 0,
"requestedTransferAmount": 0,
"isBridgingTransfer": false,
"userId": "123456798"
}
],
"total": 10,
"range": {
"start": 0,
"end": -1,
"isValid": false,
"count": 0
},
"hasMorePages": true
},
"status": "ok",
"message": "",
"errorHash": "bf6d53f3",
"teamCode": "P4",
"errorType": ""
}{
"status": "badRequest",
"message": "Error message",
"displayMessage": "Optional display message",
"errorHash": "7dcbb73d",
"teamCode": "P4",
"errorType": "missingField"
}